CyberPower Power Device Network Utility Missing Authentication (CVE-2024-32735)

critical Nessus Plugin ID 197484

Synopsis

A device power management application is missing authentication for critical functions.

Description

The CyberPower Power Device Network Utility (PDNU) running on the remote host is affected by a missing authentication vulnerability. An unauthenticated, remote attacker can exploit this, via specially crafted messages, to access critical functions of the application.

Solution

Upgrade to PowerPanel Enterprise v2.8.3 / PDNU v2.1.3 or later.

See Also

http://www.nessus.org/u?98a2e9c9

Plugin Details

Severity: Critical

ID: 197484

File Name: cyberpower_pdnu_cve-2024-32735.nbin

Version: 1.2

Type: remote

Family: SCADA

Published: 5/17/2024

Updated: 5/20/2024

Supported Sensors: Nessus

Risk Information

VPR

Risk Factor: Medium

Score: 6.7

CVSS v2

Risk Factor: High

Base Score: 7.5

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS Score Source: CVE-2024-32735

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Temporal Score: 8.5

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/a:cyberpower:powerpanel

Required KB Items: installed_sw/CyberPower Power Device Network Utility

Exploit Ease: No known exploits are available

Patch Publication Date: 5/9/2024

Vulnerability Publication Date: 5/9/2024

Reference Information

CVE: CVE-2024-32735